{
  "type": "minecraft:crafting_shapeless",
  "category": "misc",
  "ingredients": [
    "minecraft:melon_slice"
  ],
  "result": {
    "count": 1,
    "id": "minecraft:melon_seeds",
    "components": {
      "item_name": {
        "translate": "item.minecraft.melon_seeds"
      },
      "max_stack_size": 50,
      "custom_data": {
        "IsSeed": true,
        "or_is_seeds": true,
        "seed_type": "melon_seeds",
        "or_seed_type": "melon_seeds",
        "or_edited_item": true,
        "or_no_edit": true,
        "or_can_be_used_on_composter": true
      },
      "consumable": {
        "animation": "block",
        "consume_seconds": 99999,
        "has_consume_particles": false,
        "sound": "intentionally_empty"
      },
      "food": {
        "nutrition": 0,
        "saturation": 0,
        "can_always_eat": true
      },
      "item_model": "melon_seeds"
    }
  }
}